中危 docker docker 对路径名的限制不恰当(路径遍历)

CVE编号

CVE-2021-21284

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-02-03
漏洞描述
Docker是美国Docker公司的一款开源的应用容器引擎。该产品支持在Linux系统上创建一个容器(轻量级虚拟机)并部署和运行应用程序,以及通过配置文件实现应用程序的自动化安装、部署和升级。

Docker before versions 9.03.15, 20.10.3存在安全漏洞,该漏洞源于被映射的命名空间中的根用户可以访问主机文件系统。目前没有详细漏洞细节提供。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/moby/moby/commit/64bd4485b3a66a597c02c95f5776395e540b2c7c
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 docker docker * Up to
(excluding)
19.03.15
运行在以下环境
应用 docker docker * From
(including)
20.0.0
Up to
(excluding)
20.10.3
运行在以下环境
系统 alpine_3.12 docker * Up to
(excluding)
20.10.3-r0
运行在以下环境
系统 alpine_3.13 docker * Up to
(excluding)
20.10.3-r0
运行在以下环境
系统 alpine_3.14 docker * Up to
(excluding)
20.10.3-r0
运行在以下环境
系统 alpine_3.15 docker * Up to
(excluding)
20.10.3-r0
运行在以下环境
系统 alpine_3.16 docker * Up to
(excluding)
20.10.3-r0
运行在以下环境
系统 alpine_edge docker * Up to
(excluding)
20.10.3-r0
运行在以下环境
系统 amazon_2 docker * Up to
(excluding)
20.10.4-1.amzn2
运行在以下环境
系统 amazon_AMI docker * Up to
(excluding)
20.10.7-2.69.amzn1
运行在以下环境
系统 debian_10 docker * Up to
(excluding)
18.09.1+dfsg1-7.1+deb10u3
运行在以下环境
系统 debian_11 docker * Up to
(including)
20.10.2+dfsg1-2
运行在以下环境
系统 debian_sid docker * Up to
(including)
20.10.2+dfsg1-2
运行在以下环境
系统 opensuse_Leap_15.2 docker * Up to
(excluding)
19.03.15_ce-lp152.2.3.1
运行在以下环境
系统 opensuse_Leap_15.3 docker * Up to
(excluding)
1.14.2
运行在以下环境
系统 ubuntu_18.04 docker * Up to
(excluding)
20.10.7-0ubuntu1~18.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts docker.io * Up to
(excluding)
20.10.7-0ubuntu1~18.04.1
运行在以下环境
系统 ubuntu_20.04 docker * Up to
(excluding)
20.10.7-0ubuntu1~20.04.1
运行在以下环境
系统 ubuntu_21.04 docker * Up to
(excluding)
20.10.7-0ubuntu1~21.04.1
阿里云评分
5.1
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-22 对路径名的限制不恰当(路径遍历)
阿里云安全产品覆盖情况